PROGRAM icosa_gcm
  !--------------------------------
  ! Programe de base
  USE icosa_init_mod, ONLY : icosa_init

  CALL icosa_init
  !--------------------------------

  ! USE thermodynamics_mod
  ! USE, INTRINSIC :: ISO_C_BINDING, ONLY: C_DOUBLE
  ! IMPLICIT NONE

  ! TYPE(thermodynamics_t) :: thermo
  ! INTEGER, PARAMETER :: npt = 2
  ! INTEGER, PARAMETER :: nptq = 2
  ! INTEGER, PARAMETER :: nq = 1
  ! REAL(C_DOUBLE) :: temp(npt)
  ! REAL(C_DOUBLE) :: p(npt), theta(npt), q(nptq, nq)


  ! thermo%which = thermo_variable_Cp

  ! temp(:) = 290.
  ! p(:) = 85000.

  ! print*, '===Initial state==============================================================='
  ! print*, 'enter theta_from_pTq with'
  ! print*, 'temp =', temp
  ! print*, 'p =', p
  ! print*, 'thermo =', thermo
  ! print*, ''

  ! CALL theta_from_pTq(thermo, npt, nq, theta, p, temp, q)


  ! print*, ''

  ! CALL  temperature_from_pCq(thermo, npt, nptq, nq, temp, p, theta, q)

  ! print*, ''
  ! print*, '===FINAL state================================================================='
  ! print *, 'temp =', temp
  ! print *, 'ΔT =', 290.-temp
  ! print *, 'ΔT/T =', (290.-temp)/290.



END PROGRAM icosa_gcm

SUBROUTINE pre_initialize_external_physics
END SUBROUTINE pre_initialize_external_physics

SUBROUTINE initialize_external_physics
END SUBROUTINE initialize_external_physics

SUBROUTINE external_physics
END SUBROUTINE external_physics
